GET /v1/charts/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Charts
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Charts.get_versions("2dde4b53-a577-424b-bbaa-18ac32eca8a9")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
chart_v1 = Charts.get_specific_version(
"2dde4b53-a577-424b-bbaa-18ac32eca8a9",
"0.1"
)
print(f"Original description: {chart_v1.description}")
import static org.openmetadata.sdk.fluent.Charts.*;
// List all versions
var history = Charts.getVersions("2dde4b53-a577-424b-bbaa-18ac32eca8a9");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Charts.getSpecificVersion(
"2dde4b53-a577-424b-bbaa-18ac32eca8a9",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "chart",
"versions": [
"{\"id\":\"2dde4b53-a577-424b-bbaa-18ac32eca8a9\",\"name\":\"114\",\"displayName\":\"# of Games That Hit 100k in Sales By Release Year\",\"fullyQualifiedName\":\"sample_superset.114\",\"version\":0.2,\"description\":\"Updated: Bar chart showing top-selling games by release year\",\"chartType\":\"Bar\",\"serviceType\":\"Superset\"}",
"{\"id\":\"2dde4b53-a577-424b-bbaa-18ac32eca8a9\",\"name\":\"114\",\"displayName\":\"# of Games That Hit 100k in Sales By Release Year\",\"fullyQualifiedName\":\"sample_superset.114\",\"version\":0.1,\"chartType\":\"Other\",\"serviceType\":\"Superset\"}"
]
}
Chart Versions
List and retrieve historical versions of a chart
GET
/
v1
/
charts
/
{id}
/
versions
GET /v1/charts/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Charts
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Charts.get_versions("2dde4b53-a577-424b-bbaa-18ac32eca8a9")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
chart_v1 = Charts.get_specific_version(
"2dde4b53-a577-424b-bbaa-18ac32eca8a9",
"0.1"
)
print(f"Original description: {chart_v1.description}")
import static org.openmetadata.sdk.fluent.Charts.*;
// List all versions
var history = Charts.getVersions("2dde4b53-a577-424b-bbaa-18ac32eca8a9");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Charts.getSpecificVersion(
"2dde4b53-a577-424b-bbaa-18ac32eca8a9",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "chart",
"versions": [
"{\"id\":\"2dde4b53-a577-424b-bbaa-18ac32eca8a9\",\"name\":\"114\",\"displayName\":\"# of Games That Hit 100k in Sales By Release Year\",\"fullyQualifiedName\":\"sample_superset.114\",\"version\":0.2,\"description\":\"Updated: Bar chart showing top-selling games by release year\",\"chartType\":\"Bar\",\"serviceType\":\"Superset\"}",
"{\"id\":\"2dde4b53-a577-424b-bbaa-18ac32eca8a9\",\"name\":\"114\",\"displayName\":\"# of Games That Hit 100k in Sales By Release Year\",\"fullyQualifiedName\":\"sample_superset.114\",\"version\":0.1,\"chartType\":\"Other\",\"serviceType\":\"Superset\"}"
]
}
Chart Versions
Every change to a chart entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
UUID of the chart.
Get Specific Version
UseGET /v1/charts/{id}/versions/{version} to retrieve a specific version.
UUID of the chart.
Version number to retrieve (e.g.,
0.2).GET /v1/charts/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Charts
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Charts.get_versions("2dde4b53-a577-424b-bbaa-18ac32eca8a9")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
chart_v1 = Charts.get_specific_version(
"2dde4b53-a577-424b-bbaa-18ac32eca8a9",
"0.1"
)
print(f"Original description: {chart_v1.description}")
import static org.openmetadata.sdk.fluent.Charts.*;
// List all versions
var history = Charts.getVersions("2dde4b53-a577-424b-bbaa-18ac32eca8a9");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Charts.getSpecificVersion(
"2dde4b53-a577-424b-bbaa-18ac32eca8a9",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "chart",
"versions": [
"{\"id\":\"2dde4b53-a577-424b-bbaa-18ac32eca8a9\",\"name\":\"114\",\"displayName\":\"# of Games That Hit 100k in Sales By Release Year\",\"fullyQualifiedName\":\"sample_superset.114\",\"version\":0.2,\"description\":\"Updated: Bar chart showing top-selling games by release year\",\"chartType\":\"Bar\",\"serviceType\":\"Superset\"}",
"{\"id\":\"2dde4b53-a577-424b-bbaa-18ac32eca8a9\",\"name\":\"114\",\"displayName\":\"# of Games That Hit 100k in Sales By Release Year\",\"fullyQualifiedName\":\"sample_superset.114\",\"version\":0.1,\"chartType\":\"Other\",\"serviceType\":\"Superset\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full chart object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Chart or version does not exist |
Was this page helpful?
⌘I